Module:    dylan-user
Synopsis:  A soft realtime, multi-queue, non-prememptive scheduler
Author:    Ron Franke-Polz
Copyright: (C) 2000, Ron Franke-Polz.  All rights reserved.
License:   This software is provided 'as-is', without any express or implied warranty. 
           In no event will the author be held liable for any damages arising from 
           the use of this software.
           Permission is granted to anyone to use this software for any purpose, 
           including commercial applications, and to alter it and redistribute it 
           freely, subject to the following restrictions:
           1. The origin of this software must not be misrepresented; you must not 
              claim that you wrote the original software. If you use this software in 
              a product, an acknowledgment in the product documentation would be appreciated 
              but is not required.
           2. Altered source versions must be plainly marked as such, and must not 
              be misrepresented as being the original software.
           3. This notice may not be removed or altered from any source distribution.

define module Scheduler
  use byte-vector;
  use finalization;
  use functional-dylan;
  use machine-word;
  use simple-random;
  use duim;
  use format;
  use format-out;
  use print;
  use standard-io;
  use streams;
  use date;
  use threads;
  use Timebase-Notification;

  // Add binding exports here.
  export <task-queue-mgr>,
         create-queue,
         schedule,
         start-scheduler,
         <scheduler-browser>;

end module Scheduler;

